org.json.simple

## Enum Yytoken.Types

- java.lang.Object
- - java.lang.Enum<Yytoken.Types>
  - - org.json.simple.Yytoken.Types

- All Implemented Interfaces:
    Serializable, Comparable<Yytoken.Types>
  Enclosing class:
    Yytoken

      static enum Yytoken.Types
      extends Enum<Yytoken.Types>

  Represents the different kinds of tokens.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLON` Tokens of this type will always have a value of ":"
    `COMMA` Tokens of this type will always have a value of ","
    `DATUM` Tokens of this type will always have a value that is a boolean, null, number, or string.
    `END` Tokens of this type will always have a value of ""
    `LEFT_BRACE` Tokens of this type will always have a value of "{"
    `LEFT_SQUARE` Tokens of this type will always have a value of "["
    `RIGHT_BRACE` Tokens of this type will always have a value of "}"
    `RIGHT_SQUARE` Tokens of this type will always have a value of "]"

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Yytoken.Types` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Yytoken.Types[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLON

          public static final Yytoken.Types COLON

      Tokens of this type will always have a value of ":"

    - #### COMMA

          public static final Yytoken.Types COMMA

      Tokens of this type will always have a value of ","

    - #### DATUM

          public static final Yytoken.Types DATUM

      Tokens of this type will always have a value that is a boolean, null, number, or string.

    - #### END

          public static final Yytoken.Types END

      Tokens of this type will always have a value of ""

    - #### LEFT_BRACE

          public static final Yytoken.Types LEFT_BRACE

      Tokens of this type will always have a value of "{"

    - #### LEFT_SQUARE

          public static final Yytoken.Types LEFT_SQUARE

      Tokens of this type will always have a value of "["

    - #### RIGHT_BRACE

          public static final Yytoken.Types RIGHT_BRACE

      Tokens of this type will always have a value of "}"

    - #### RIGHT_SQUARE

          public static final Yytoken.Types RIGHT_SQUARE

      Tokens of this type will always have a value of "]"

  - ### Method Detail

    - #### valueOf

          public static Yytoken.Types valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Yytoken.Types[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Yytoken.Types c : Yytoken.Types.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared